Subject: Re: bug#63752: 28.2; GCC 13.1 breaks Emacs subprocess handling when built with -D_FORTIFY_SOURCE

From: András Svraka <[email-masked]>
Date: Thu, 1 Jun 2023 09:31:10 +0200

Dear all,

> On 2023. May 27., at 16:32, Cyril Arnould <[email-masked]> wrote:
>  > Which version of GCC is this, btw?  If it's the latest GCC 13, did you
> > try downgrading to GCC 12?
>  It's GCC 13.1, yes, I haven't tested GCC 12. I don't know how
> easy it is to downgrade GCC on MSYS2 though, I assume there's a
> lot of dependencies that can go wrong.

I tried downgrading to GCC 12.2 in MSY2 and the problem exist there as well.

> > FWIW, Emacs 28 and 29 (and also Emacs 30) builds fine for me with
> > MinGW, both with and without native-compilation, but I don't use
> > _FORTIFY_SOURCE (and don't plan on using it any time soon).
>  This makes me wonder if GCC 13.1 Emacs builds with
> _FORTIFY_SOURCE are working fine in other operating systems? It's
> not something I can easily test, however.

Arch Linux also uses _FORTIFY_SOURCE and AFAIU MSYS2’s motivation was to follow them [1]. I did not test it though but couldn’t find related bug reports.

[1]: https://github.com/msys2/MSYS2-packages/pull/3222